Delete Workflow
curl --request DELETE \
--url https://api.xpander.ai/v1/workflows/{workflow_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.xpander.ai/v1/workflows/{workflow_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.xpander.ai/v1/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}REST API - Workflows
Delete Workflow
Permanently delete a workflow and all associated resources
DELETE
/
v1
/
workflows
/
{workflow_id}
Delete Workflow
Permanently delete a workflow, its node graph, and all associated resources. This operation cannot be undone.
Path Parameters
string
required
Unique identifier of the workflow to delete (UUID)
Response
Returns HTTP202 Accepted on successful deletion.
Example Request
curl -X DELETE -H "x-api-key: <your-api-key>" \
"https://api.xpander.ai/v1/workflows/<workflow-id>"
Notes
- This operation is permanent and cannot be undone
- Active tasks may be terminated
Was this page helpful?
⌘I

